Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Seam Core JSF2 2.3.0.Final
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.seam.util
Class Strings

    java.lang.Object
      org.jboss.seam.util.Strings

    public class Strings

extends Object

Author:
  Thomas Heute

Constructor Summary
`Strings()`

Method Summary
`static String` | `emptyIfNull(String string)`
`static boolean` | `isEmpty(String string)`
`static String` | `nullIfEmpty(String string)`
`static String[]` | `split(String strings, String delims)`
`static String` | `toClassNameString(String sep, Object... objects)`
`static String` | `toString(InputStream in)`
`static String` | `toString(Object... objects)`
`static String` | `toString(Object component)`
`static String` | `toString(String sep, Class... classes)`
`static String` | `toString(String sep, Object... objects)`
`static String` | `unqualify(String name)`
`static String` | `unqualify(String name, char sep)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Strings

    public Strings()

Method Detail

### unqualify

    public static String unqualify(String name)

### unqualify

    public static String unqualify(String name,
                                   char sep)

### isEmpty

    public static boolean isEmpty(String string)

### nullIfEmpty

    public static String nullIfEmpty(String string)

### emptyIfNull

    public static String emptyIfNull(String string)

### toString

    public static String toString(Object component)

### split

    public static String[] split(String strings,
                                 String delims)

### toString

    public static String toString(Object... objects)

### toString

    public static String toString(String sep,
                                  Object... objects)

### toClassNameString

    public static String toClassNameString(String sep,
                                           Object... objects)

### toString

    public static String toString(String sep,
                                  Class... classes)

### toString

    public static String toString(InputStream in)
                           throws IOException

  Throws:
    `IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Seam Core JSF2 2.3.0.Final
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012 Seam Framework. All Rights Reserved.